summaryrefslogtreecommitdiffstats
path: root/sca-cpp/trunk/test/store-scheme/store-composite-test
diff options
context:
space:
mode:
authorjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2010-01-06 06:36:29 +0000
committerjsdelfino <jsdelfino@13f79535-47bb-0310-9956-ffa450edef68>2010-01-06 06:36:29 +0000
commit81dc9e22343e6b12f1e4ec5cf71a57d2973cf9bc (patch)
tree3b3ef868a03f8d5ef5c406ada91245528d76ce58 /sca-cpp/trunk/test/store-scheme/store-composite-test
parent9b5d3e147a74ae9c5b0a3dd83513d219f1005faf (diff)
Added test/store-python test case, renamed test/store-script to store-scheme, started to convert the store test code to python.
git-svn-id: http://svn.us.apache.org/repos/asf/tuscany@896331 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'sca-cpp/trunk/test/store-scheme/store-composite-test')
-rwxr-xr-xsca-cpp/trunk/test/store-scheme/store-composite-test51
1 files changed, 51 insertions, 0 deletions
diff --git a/sca-cpp/trunk/test/store-scheme/store-composite-test b/sca-cpp/trunk/test/store-scheme/store-composite-test
new file mode 100755
index 0000000000..b41c4e5393
--- /dev/null
+++ b/sca-cpp/trunk/test/store-scheme/store-composite-test
@@ -0,0 +1,51 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+
+echo "Testing..."
+
+# Setup
+../../modules/http/httpd-conf tmp 8090 htdocs
+../../modules/server/server-conf tmp
+cat >>tmp/conf/httpd.conf <<EOF
+
+<Location />
+SCAContribution `pwd`/
+SCAComposite store.composite
+</Location>
+EOF
+
+apachectl -k start -d `pwd`/tmp
+
+mc="memcached -l 127.0.0.1 -m 4 -p 11211"
+$mc &
+sleep 2
+
+# Test HTTP GET
+curl http://localhost:8090/store.html 2>/dev/null >tmp/store.html
+diff tmp/store.html htdocs/store.html
+rc=$?
+
+# Cleanup
+apachectl -k stop -d `pwd`/tmp
+kill `ps -f | grep -v grep | grep "$mc" | awk '{ print $2 }'`
+sleep 2
+if [ "$rc" = "0" ]; then
+ echo "OK"
+fi
+return $rc